<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.web.base.mapper.ProcureReceivingMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ruoyi.web.base.domain.ProcureReceiving">
        <id column="id" property="id" />
        <result column="receiving_num" property="receivingNum" />
        <result column="receiving_date" property="receivingDate" />
        <result column="price_transfer" property="priceTransfer" />
        <result column="order_date" property="orderDate" />
        <result column="order_type" property="orderType" />
        <result column="arrive_date" property="arriveDate" />
        <result column="supplier_num" property="supplierNum" />
        <result column="supplier_name" property="supplierName" />
        <result column="employee_num" property="employeeNum" />
        <result column="employee_name" property="employeeName" />
        <result column="department_num" property="departmentNum" />
        <result column="department_name" property="departmentName" />
        <result column="livestock_owner" property="livestockOwner" />
        <result column="livestock_owner_info" property="livestockOwnerInfo" />
        <result column="animal_cert_no" property="animalCertNo" />
        <result column="allow_slaughter_no" property="allowSlaughterNo" />
        <result column="place_of_origin" property="placeOfOrigin" />
        <result column="total_amount" property="totalAmount" />
        <result column="del_flag" property="delFlag" />
        <result column="create_by" property="createBy" />
        <result column="create_time" property="createTime" />
        <result column="update_by" property="updateBy" />
        <result column="update_time" property="updateTime" />
        <result column="remark" property="remark" />
        <result column="org_id" property="orgId" />
    </resultMap>

</mapper>
